### Function

# Phosh munge_app_id

since: 0

#### Declaration [src]

    gchar*
    phosh_munge_app_id (
      const gchar* app_id
    )

#### Description [src]

Munges an app_id according to the rules used by gnome-shell, feedbackd and phoc for gsettings:

Available since: 0

#### Parameters

`app_id`

  Type: `const gchar*`

  The app_id.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The munged_app id.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.